---
title: Get TaskType
slug: get-tasktype
docTags: 
createdAt: 2026-10-05T12:27:48.316Z
---

{
  "id": "RwtJXDQuMrmzoxvqKvFfF",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://dev1.frontu.com//client/api/v2/task_types/details",
    "servers": [
      {
        "url": "https://dev1.frontu.com//client/api/v2/task_types/details"
      }
    ],
    "name": "Get TaskType",
    "description": "This endpoind allows to retrieve all information about one specific task types and query params are used to retreive the one specific client. \n",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json",
            "Example",
            "Example with test values"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [
        {
          "kind": "optional",
          "name": "guid",
          "type": "string",
          "description": "GUID format entity identifier generated by Frontu."
        },
        {
          "kind": "optional",
          "name": "systemId",
          "type": "string",
          "description": "Entity identifier from external system."
        }
      ],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "Bearer",
          "name": "Authorization",
          "kind": "optional",
          "type": "apiKey",
          "description": "<p>Value: Bearer {access_token}</p>",
          "in": "header"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Returned when successful",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "schema": [
              {
                "name": "version",
                "kind": "optional",
                "type": "integer",
                "description": ""
              },
              {
                "name": "title",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "mailList",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "requireObjectCode",
                "kind": "optional",
                "type": "boolean",
                "description": ""
              },
              {
                "name": "requireSignatureCode",
                "kind": "optional",
                "type": "boolean",
                "description": ""
              },
              {
                "name": "guid",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "created",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "updated",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "deleted",
                "kind": "optional",
                "type": "boolean",
                "description": ""
              },
              {
                "name": "systemId",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "404",
        "description": "Entity not found",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "k5HOPPaacgzJoT51oK6-D",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://dev1.frontu.com//client/api/v2/task_types/details \\\n     --header 'accept: application/json'"
        },
        {
          "id": "leKoPaUhT8Hox4Y4t-wH-",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://dev1.frontu.com//client/api/v2/task_types/details\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "adn9UaCkx2oZ5RAti8DIc",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://dev1.frontu.com//client/api/v2/task_types/details\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "LECAndsgjV1aUYyM5EDSn",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://dev1.frontu.com//client/api/v2/task_types/details\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "k5HOPPaacgzJoT51oK6-D"
    },
    "results": {
      "languages": [
        {
          "id": "DFXQzHpVRnjfA3wc4jiz1",
          "language": "200",
          "code": "// Returned when successful\n{\n  \"version\": 0,\n  \"title\": \"\",\n  \"mailList\": \"\",\n  \"requireObjectCode\": false,\n  \"requireSignatureCode\": false,\n  \"guid\": \"\",\n  \"created\": \"\",\n  \"updated\": \"\",\n  \"deleted\": false,\n  \"systemId\": \"\"\n}"
        },
        {
          "id": "tvrO_9ailsbUdNWK6G9lA",
          "language": "404",
          "code": "// Entity not found\n"
        }
      ],
      "selectedLanguageId": "DFXQzHpVRnjfA3wc4jiz1"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}